/*

*/

import java.util.Scanner;

/**
   This program computes the results of an HTTP POST request.

   This program expects to read the POST data from its
   standard input stream and it writes the response
   headers and the response body to its standard
   output stream.
*/
public class Post
{
   public static void main(String[] args)
   {
      String entityBody = "";
      Scanner stdin = new Scanner(System.in);
      while ( stdin.hasNextLine() )
      {
         final String oneLine = stdin.nextLine();
         entityBody += oneLine;
      }
      stdin.close();

      // Build the HTTP response body.
      final String body = "<!doctype html>\r\n" +
                          "<html>\r\n" +
                          "<head>\r\n" +
                          "<title>Thank you!</title>\r\n" +
                          "</head>\r\n" +
                          "<body>\r\n" +
                          "<h1>Thank you!</h1>\r\n" +
                          "<p>Thank you for your POST data!</p>\r\n" +
                          "<p></p>\r\n" +
                          "<p>" + entityBody + "</p>\r\n" +
                          "<p></p>\r\n" +
                          "<p>We will protect it forever.</p>\r\n" +
                          "</body>\r\n" +
                          "</html>\r\n";

      System.out.print("Content-Type: text/html\r\n");
      System.out.print("Content-Length: " + body.length() + "\r\n");
      // Add a blank line to denote end of response headers.
      System.out.print("\r\n");

      // Send the entity body.
      System.out.print(body);
      System.out.flush();
      System.out.close();
   }
}
